import Vue from 'vue';
import App from './App.vue';
import axios from 'axios';
import vueAxios from 'vue-axios';
import './index.css';
import './assets/design.css';
import { VuePlugin } from 'vuera';
import 'vue-progress-path/dist/vue-progress-path.css';
import VueProgress from 'vue-progress-path';
import 'tailwindcss/tailwind.css'

/* import the fontawesome core */
import { library } from '@fortawesome/fontawesome-svg-core';

/* import specific icons */
import { faPenToSquare } from '@fortawesome/free-solid-svg-icons';
import { faThumbsUp } from '@fortawesome/free-solid-svg-icons';
import { faCircleXmark } from '@fortawesome/free-regular-svg-icons';
import { faRightToBracket } from '@fortawesome/free-solid-svg-icons';
import { faCircleArrowLeft } from '@fortawesome/free-solid-svg-icons';
import { faUserPen } from '@fortawesome/free-solid-svg-icons';
import { faTriangleExclamation } from '@fortawesome/free-solid-svg-icons';
import { faEnvelope } from '@fortawesome/free-solid-svg-icons'


/* import font awesome icon component */
import { FontAwesomeIcon } from '@fortawesome/vue-fontawesome';
import BaseSpinner from './components/UI/BaseSpinner.vue';
import store from './store';
import router from './router';

/* add icons to the library */
library.add(faPenToSquare, faThumbsUp, faCircleXmark, faRightToBracket, faCircleArrowLeft, faUserPen, faTriangleExclamation, faEnvelope);

/* add font awesome icon component */
Vue.component('FontAwesomeIcon', FontAwesomeIcon);
Vue.component('BaseSpinner', BaseSpinner);

Vue.use(VuePlugin);
Vue.use(vueAxios, axios);
Vue.use(VueProgress, {
  // defaultShape: 'circle',
});
Vue.config.productionTip = false;

new Vue({
  components: { App },
  router,
  store,
  template: '<App/>',
}).$mount('#app');
